collectd_5.7.2-2ubuntu1.1_amd64.deb


Advertisement

Description

collectd - statistics collection and monitoring daemon

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe amd64
Package filename collectd_5.7.2-2ubuntu1.1_amd64.deb
Package name collectd
Package version 5.7.2
Package release 2ubuntu1.1
Package architecture amd64
Package type deb
Category universe/utils
Homepage https://collectd.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 19.27 KB
Installed size 177.00 KB
collectd is a small daemon which collects system information periodically and
provides mechanisms to monitor and store the values in a variety of ways.
Since the daemon doesn't need to startup every time it wants to update the
values it's very fast and easy on the system. Also, the statistics are very
fine grained since the files are updated every 10 seconds by default.
The collected information can be used to find current performance bottlenecks
(performance analysis) and predict future system load (capacity planning).
This package provides a full installation of the daemon, including the
configuration. For the core system, see the "collectd-core" package, which
allows sites to, e.g., provide customizations (like a custom default
configuration) on top of it without having to modify the "collectd" package.

Alternatives

Package Version Architecture Repository
collectd_5.7.2-2ubuntu1.1_i386.deb 5.7.2 i386 Ubuntu Updates Universe
collectd_5.7.2-2ubuntu1_i386.deb 5.7.2 i386 Ubuntu Universe
collectd_5.7.2-2ubuntu1_amd64.deb 5.7.2 amd64 Ubuntu Universe
collectd - - -

Requires

Name Value
collectd-core >= 5.7.2-2ubuntu1.1
collectd-core << 6~
libc6 >= 2.14
librrd8 >= 1.3.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package collectd_5.7.2-2ubuntu1.1_amd64.deb
Source Package collectd

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install collectd deb package:
    # sudo apt-get install collectd

Files

Path
/etc/collectd/collectd.conf
/etc/collectd/collectd.conf.d/filters.conf
/etc/collectd/collectd.conf.d/thresholds.conf
/usr/share/doc/collectd/AUTHORS.gz
/usr/share/doc/collectd/README.Debian.gz
/usr/share/doc/collectd/README.gz
/usr/share/doc/collectd/changelog.Debian.gz
/usr/share/doc/collectd/copyright
/usr/share/doc/collectd/examples

Changelog

2019-03-26 - Eric Desrochers <eric.desrochers@canonical.com>
collectd (5.7.2-2ubuntu1.1) bionic; urgency=medium
* d/p/add-support-for-ceph-version-luminous.patch (LP: #1774032)
- This patch is not backward compatible with previous ceph versions.
* d/p/ceph-plugin-Fix-2572.patch:
- ceph plugin causes collectd to segfault.
2018-01-11 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
collectd (5.7.2-2ubuntu1) bionic; urgency=medium
* d/p/fix-i2c-detection.patch fix i2c usage for 4.0 (LP: #1742691)
- d/control: bump libi2c-dev version dependency
* d/rules: fix FTBFS due to liblvm2app deprecation (LP: #1742690)
by disabling preprocessor warnings.
* implicitly rebuilds to pick up DPDK 17.11 (LP: #1741208)
* d/p/CVE-2017-16820-snmp-plugin-Fix-double-free-of-request-PDU.patch
backport from upstream (Closes: #881757, CVE-2017-16820).
2017-10-22 - Sebastian Harl <tokkee@debian.org>
collectd (5.7.2-2) unstable; urgency=medium
[ Luca Boccassi ]
* debian/patches:
- Add dpdk-pkg-config.patch: Backport upstream patch to build DPDK with
pkg-config. This allows DPDK in Debian to fix an upstream multi-arch
issue, where arch-dependents headers are installed in /usr/include
breaking multi-arch co-installability of libdpdk-dev. (Closes: #872482)
[ Sebastian Harl ]
* Disable the sigrok plugin for now; it's not compatible with libsigrok4;
thanks to Adrian Bunk for reporting this (Closes: #878348).
* Enable the write_mongodb plugin, libmongoc is now available. Thanks to
Saikrishna Arcot for reporting this (Closes: #858315).
- Add write_mongodb.patch to update the plugin to the most recent upstream
version to bring it up to date with Debian's libmongoc and fix some
other issues.
* Update to standards-version 4.1.1:
- Build depend on debhelper (>= 9.20160709~) instead of dh-systemd.
- Use priority "optional" instead of deprecated priority "extra".
* Disable the varnish plugin for now. collectd FTBFS against varnish 5.2.
Cf. https://github.com/collectd/collectd/issues/2498 and #879471.
2017-08-23 - Marc Fournier <marc@bl.uem.li>
collectd (5.7.2-1) unstable; urgency=medium
* New upstream release.
- Fix potential endless-loop in the network plugin, which can be triggered
remotely by sending a crafted UDP packet (Closes: #859494,
CVE-2017-7401).
* debian/patches:
- drop dpdkstat_goto_label.patch; included upstream.
- drop drop_lssl_lcrypto_from_linking.patch; included upstream.
- drop mqtt_invalid_symbols.patch; included upstream.
- drop mqtt_resource_leak.patch; included upstream.
- add libcollectdclient_error_buffer.patch, fixing a build error with
GCC 7 (Closes: #871062). Thanks to Steve Langasek and Ruben Kerkhof.
- add local-msr-index-h.patch, bundling a header file removed from 4.12+
kernels (Closes: #872276). Thanks to Steve Langasek.
2017-02-05 - Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
collectd (5.7.1-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Drop -ssl -lcrypto from linking (openssl's functionality is not used by
collectd). Add drop_lssl_lcrypto_from_linking.patch (Closes: #852924).
2017-01-23 - Marc Fournier <marc@bl.uem.li>
collectd (5.7.1-1) unstable; urgency=medium
* New upstream release.
* debian/patches:
- drop dpdkstat-portable-format-string.patch, included upstream.
- add mqtt_resource_leak.patch, fixing a connection leak.
- add mqtt_invalid_symbols.patch, stripping out invalid characters from
MQTT topic names.
- add dpdkstat_goto_label.patch, fixing a small mistake which prevented
the dpdkstat from building.
2016-12-18 - Marc Fournier <marc@bl.uem.li>
collectd (5.7.0-3) unstable; urgency=medium
* debian/control: Skip libdpdk-dev build dependency on non-Intel
architectures.

See Also

Package Description
console-setup-mini_1.178ubuntu2.9_all.deb console font and keymap setup program - reduced version for Linux
containerd_1.2.6-0ubuntu1~18.04.2_amd64.deb daemon to control runC
corosync-notifyd_2.4.3-0ubuntu1.1_amd64.deb cluster engine notification daemon
corosync-qdevice_2.4.3-0ubuntu1.1_amd64.deb cluster engine quorum device daemon
corosync-qnetd_2.4.3-0ubuntu1.1_amd64.deb cluster engine quorum device network daemon
coturn_4.5.0.7-1ubuntu2.18.04.1_amd64.deb TURN and STUN server for VoIP
courier-authdaemon_0.68.0-4ubuntu0.1_amd64.deb Courier authentication daemon
courier-authlib-dev_0.68.0-4ubuntu0.1_amd64.deb Development libraries for the Courier authentication library
courier-authlib-ldap_0.68.0-4ubuntu0.1_amd64.deb LDAP support for the Courier authentication library
courier-authlib-mysql_0.68.0-4ubuntu0.1_amd64.deb MySQL support for the Courier authentication library
courier-authlib-pipe_0.68.0-4ubuntu0.1_amd64.deb External authentication support for the Courier authentication library
courier-authlib-postgresql_0.68.0-4ubuntu0.1_amd64.deb PostgreSQL support for the Courier authentication library
courier-authlib-sqlite_0.68.0-4ubuntu0.1_amd64.deb SQLite 3 support for the Courier authentication library
courier-authlib-userdb_0.68.0-4ubuntu0.1_amd64.deb userdb support for the Courier authentication library
courier-authlib_0.68.0-4ubuntu0.1_amd64.deb Courier authentication library
Advertisement
Advertisement